Subject: Re: Amusing (?) behavior of zsh/parameter specials
From: Peter Stephenson <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jan 2016 09:58:42 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mon, 25 Jan 2016 21:11:40 -0800
Bart Schaefer <[email-masked]> wrote:
> The main problem with the latter one is that, if the parameter really
> is read-only after autoloading, "restoring" the unset will fail.  I
> guess the point is to restore the parameters that ARE set, so now that
> I've written this all down I lean even more to the first variant.

Yes, that was my attitude in previous changes for typeset -p.

pws